**Holiday Dataset Documentation**

This dataset contains information about holidays in Berlin for each day of the year. It consists of two columns:

1. **dates**: This column lists all days of the year.

2. **holiday**: This column classifies each day into one of the following categories:

   - **NO**: No holiday. This indicates that the day is not recognized as a public holiday or a school holiday in Berlin.
   
   - **P**: Public holiday. This denotes days that are officially recognized as public holidays in Berlin, where businesses and schools may be closed.
   
   - **S**: School holiday. This category identifies days when schools in Berlin are closed due to holidays or breaks.

### Usage Notes:

- The dataset provides a comprehensive list of all days in the year, categorized into holidays and non-holidays based on local Berlin regulations.
  
- The **dates** column includes dates in a standard date format, such as YYYY-MM-DD.

- The **holiday** column categorizes each date to indicate whether it is a public holiday, school holiday, or neither.

### Data Format:

- **dates**: Date format (YYYY-MM-DD).
  
- **holiday**: Categorical variable with values 'NO', 'P', or 'S'.